Page MenuHomePhabricator

common gating job for mediawiki core and extensions
Closed, ResolvedPublic

Description

Now that Zuul gate-and-submit pipeline is a dependent pipeline, we can have different projects to share a common job. That would ensure extensions are tested properly, they will not be merged until previous changes being tested for master have passed.


Version: wmf-deployment
Severity: enhancement

Details

Reference
bz58772

Related Objects

StatusAssignedTask
Resolvedhashar
OpenNone
Resolvedhashar
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
DeclinedNone
InvalidNone
ResolvedNone
OpenNone
InvalidTpt
ResolvedNone
ResolvedNone
ResolvedNone
OpenNone
ResolvedNone
ResolvedNone
OpenNone
OpenNone
OpenNone
ResolvedNone
ResolvedEBernhardson
Invaliddemon
ResolvedNone
DeclinedNone
OpenNone
ResolvedNone
OpenNone
ResolvedNone
Resolvedhashar
ResolvedReedy
OpenNone
ResolvedNone
ResolvedNone
ResolvedJdforrester-WMF
ResolvedNikerabbit
OpenNone
ResolvedNone
Resolvedhashar
Resolvedhashar
Resolvedhashar
ResolvedLegoktm
Resolvedhashar
Resolvedhashar
DeclinedNone
DeclinedNone
ResolvedNone
Resolvedhashar
Resolvedhashar
ResolvedJoe
ResolvedJoe
Resolvedhashar
Resolvedhashar
ResolvedEBernhardson
ResolvedQChris
ResolvedLegoktm
Resolvedhashar
Duplicate Mattflaschen-WMF
InvalidRyasmeen
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
DuplicateNone
Resolvedbd808
DuplicateNone
DeclinedNone
Declinedhashar
Resolvedhashar
DeclinedNone
Declinedchasemp
DeclinedNone
Resolvedcoren
Invalidhashar
Resolvedhashar
Declinedhashar
ResolvedCmjohnson
ResolvedCmjohnson
Resolvedhashar
ResolvedKrinkle
ResolvedKrinkle
ResolvedKrinkle
Resolvedhashar
ResolvedKrinkle
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
ResolvedAndrew
ResolvedKrinkle
Resolvedhashar
ResolvedKrinkle
ResolvedPaladox
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
ResolvedPaladox
ResolvedLegoktm
ResolvedLegoktm
Resolvedhashar
Resolvedhashar
Resolved yuvipanda
OpenNone
OpenNone

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:41 AM
bzimport set Reference to bz58772.
bzimport added a subscriber: Unknown Object (MLST).
hashar created this task.Dec 20 2013, 10:47 PM
hashar added a comment.Jul 3 2014, 1:23 PM

I have been working on this and wrote a command line utility that let us clone core + extensions with matching Zuul Ref or branch. It is being experimented.

Running the unit tests with all extensions do not really work well which is bug 67216 "Have unit tests of all wmf deployed extensions pass when installed together, in both PHP-Zend and HHVM (tracking)"

Change 161230 had a related patch set uploaded by Hashar:
Group MediaWiki job in the same gate queue

https://gerrit.wikimedia.org/r/161230

Change 161230 merged by jenkins-bot:
Group MediaWiki jobs in the same gate queue

https://gerrit.wikimedia.org/r/161230

mediawiki/core related jobs are now in the same gate queue by using the idle job mediawiki-gate

I wrote a RFC explaining part of the future system at:

https://www.mediawiki.org/wiki/Requests_for_comment/Extensions_continuous_integration

Will be discussed during a RFC review session soonish.

demon removed a subscriber: demon.Dec 16 2014, 6:05 PM

Is this task ready to be closed?

Not yet. We have the mediawiki-gate dummy jobs used to enforce MediaWiki related changes to share the same queue in the Zuul gate-and-submit pipeline.

That bug is about making it run tests for all extensions together. Will do the mobile extensions as a first step then slowly expand to the rest of the Wikimedia deployed extensions.

hashar closed this task as Resolved.Apr 17 2019, 2:27 PM
hashar claimed this task.

I don't think we need this task anymore. That is nowadays the wmf-quibble jobs.